-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : scitacka.vhd
--   Nazev     : Vypis 3.1
--   Popis     : Uplny zdrojovy text realizujici v jazyce VHDL uplnou scitacku
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity scitacka is
   port (
      a : in std_logic;     -- 1. scitanec
      b : in std_logic;     -- 2. scitanec
      cin : in std_logic;   -- vstup prenosu (carry in)
      sum : out std_logic;  -- soucet
      cout : out std_logic  -- vystup prenosu (carry out)
   );
end;

architecture a_scitacka of scitacka is
begin
   -- realizace uplne scitacky
   -- soucet
   sum <= a xor b xor cin;
   -- prenos
   cout <= (a and b) or (cin and (a xor b));
end;
