-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : rs_nor.vhd
--   Nazev     : Vypis 8.16
--   Popis     : Klopny obvod RS realizovany operatorem NOR (vznik smycky -
--               chybna realizace)
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity rs_nor_err is
   port (
      r, s : in std_logic;
      q, n_q : buffer std_logic
   );
end rs_nor_err;

architecture struct of rs_nor_err is
begin
   q <= r nor n_q;
   n_q <= s nor q;
end struct;
