-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : mux_case.vhd
--   Nazev     : Vypis 3.4
--   Popis     : Uplny zdrojovy text realizujici multiplexer 4 na 1
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity mux_case is
   port (
      a, b, c, d : in std_logic;
      sel : in std_logic_vector (1 downto 0);
      y : out std_logic
   );
end mux_case;


architecture struct of mux_case is
begin
   process (a, b, c, d, sel)
   begin
      case sel is
         when "00" => y <= a;
         when "01" => y <= b;
         when "10" => y <= c;
         when "11" => y <= d;
         when others => null;
      end case;
   end process;
end struct;
