-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : test.vhd
--   Nazev     : Vypis 3.8
--   Popis     : Pouziti uzivatelskeho knihovniho baliku
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;                 -- pripojeni knihovny ieee
use ieee.std_logic_1164.all;  -- zpristupneni celeho baliku std_logic_1164
use ieee.numeric_std.all;     -- zpristupneni celeho baliku numeric_std
use work.seg_lib.all;         -- zpristupneni celeho baliku seg_lib

entity test is
end test;

architecture a_test of test is
   signal a : std_logic_vector (3 downto 0);
   signal seg : std_logic_vector (6 downto 0);
begin
   -- pouziti komponentu segment (balik seg_lib)
   dut : segment port map (a, seg);

   process
   begin
      for i in 0 to 15 loop
         -- pouziti pretypovani a konverzni funkce (balik numeric_std)
         a <= std_logic_vector (to_unsigned (i, 4));
         report slv2str(a); -- pouziti funkce slv2str (balik seg_lib)
         wait for 10 ns;
      end loop;
      wait;
   end process;
end;
