-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : rs_nand.vhd
--   Nazev     : Vypis 8.18
--   Popis     : Klopny obvod RS realizovany logickym operatorem NAND
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity rs_nand is
   port (
      n_r, n_s : in std_logic;
      q, n_q : buffer std_logic
   );
end rs_nand;

architecture struct of rs_nand is
begin
   q <= n_s nand (n_r nand q);
   n_q <= n_r nand (n_s nand n_q);
end struct;
