-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : dff_up.vhd
--   Nazev     : Vypis 8.20
--   Popis     : Klopny obvod rizeny hranou realizovany pomoci procesu
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity dff_up is
   port (
      d, clk : in std_logic;
      q : out std_logic
   );
end dff_up;

architecture struct of dff_up is
begin
   -- proces se spousti pri zmene signalu clk
   process (clk)
   begin
      -- klopny obvod s hodinami aktivnimi pri nabezne hrane
      if clk'event and clk = '1' then
         q <= d;
      end if;
   end process;
end struct;
