-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : mux2_1.vhd
--   Nazev     : Vypis 8.3
--   Popis     : Dvou kanalovy multiplexor pomoci konstrukce when-else
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity mux2_1 is
   port (
      x0, x1 : in std_logic;
      a : in std_logic;
      y : out std_logic
   );
end mux2_1;

architecture mux_when_else of mux2_1 is
begin
   y <= x1 when a = '1' else x0;
end mux_when_else;
