-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : mux16_1.vhd
--   Nazev     : Vypis 8.4
--   Popis     : Sestnacti kanalovy multiplexor pomoci procesu a indexace vekt.
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity mux16_1 is
   port (
      x : in std_logic_vector (15 downto 0);
      a : in std_logic_vector (3 downto 0);
      y : out std_logic
   );
end mux16_1;

architecture process_indexace of mux16_1 is
begin
   -- proces se spousti pri zmene signalu x nebo a
   process (x, a)
   begin
      y <= x(to_integer(unsigned(a)));
   end process;
end process_indexace;
