-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : mux4_4.vhd
--   Nazev     : Vypis 8.5
--   Popis     : Skupinovy ctyr kanalovy multiplexor pomoci procesu a case
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity mux4_4 is
   port (
      b : in std_logic_vector (3 downto 0);
      c : in std_logic_vector (3 downto 0);
      d : in std_logic_vector (3 downto 0);
      e : in std_logic_vector (3 downto 0);
      a : in std_logic_vector (1 downto 0);
      y : out std_logic_vector (3 downto 0)
   );
end mux4_4;

architecture process_case of mux4_4 is
begin
   process (a, b, c, d, e)
   begin
      case a is
         when "00" => y <= b;
         when "01" => y <= c;
         when "10" => y <= d;
         when "11" => y <= e;
         when others => null;
      end case;
   end process;
end process_case;
