-------------------------------------------------------------------------------
--   Projekt   : kniha Cislicove systemy a jazyk VHDL
--   Jm. soub. : dmx1_16.vhd
--   Nazev     : Vypis 8.8
--   Popis     : Sestnacti kanalovy demultiplexor pomoci procesu a indexace
--               vektoru
-------------------------------------------------------------------------------
--   Datum      Autor             Revize  Poznamka
--   16.8.2006  Martin Poupa      Rev A   Vytvoreno
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity dmx1_16 is
   port (
      x : in std_logic;
      a : in std_logic_vector (3 downto 0);
      y : out std_logic_vector (15 downto 0)
   );
end dmx1_16;

architecture a_dmx1_16 of dmx1_16 is
begin
   process (x, a)
   begin
      y <= (others => '0');
      y(to_integer(unsigned(a))) <= x;
   end process;
end a_dmx1_16;
